searchNodes=[{"doc":"The ExAws.Translate library provides an Elixir API for accessing the AWS Translate APIs. Please refer to the AWS Translate API Documentation for the list of functionalities and available actions.","ref":"ExAws.Translate.html","title":"ExAws.Translate","type":"module"},{"doc":"A synchronous action that deletes a custom terminology.Examplesiex&gt; ExAws.Translate.delete_terminology(&quot;terminology&quot;) |&gt; ExAws.request() {:ok, %{}}For more information visit the AWS Translate API Documentation for DeleteTerminology.","ref":"ExAws.Translate.html#delete_terminology/1","title":"ExAws.Translate.delete_terminology/1","type":"function"},{"doc":"Gets the properties associated with an asycnhronous batch translation job including name, ID, status, source and target languages, input/output S3 buckets, and so on.Examplesiex&gt; iex(2)&gt; ExAws.Translate.describe_text_translation_job(&quot;12345&quot;) |&gt; ExAws.request() {:ok, %{ &quot;TextTranslationJobProperties&quot; =&gt; %{ &quot;DataAccessRoleArn&quot; =&gt; &quot;arn:aws:iam::123456789123:role/service-role/AmazonTranslateServiceRole-translate&quot;, &quot;EndTime&quot; =&gt; 1592240282.932, &quot;InputDataConfig&quot; =&gt; %{ &quot;ContentType&quot; =&gt; &quot;text/plain&quot;, &quot;S3Uri&quot; =&gt; &quot;s3://bucket/input/&quot; }, &quot;JobDetails&quot; =&gt; %{ &quot;DocumentsWithErrorsCount&quot; =&gt; 0, &quot;InputDocumentsCount&quot; =&gt; 1, &quot;TranslatedDocumentsCount&quot; =&gt; 1 }, &quot;JobId&quot; =&gt; &quot;12345&quot;, &quot;JobName&quot; =&gt; &quot;testjob&quot;, &quot;JobStatus&quot; =&gt; &quot;COMPLETED&quot;, &quot;Message&quot; =&gt; &quot;Your job has completed successfully.&quot;, &quot;OutputDataConfig&quot; =&gt; %{ &quot;S3Uri&quot; =&gt; &quot;s3://bucket/output/123456789123-TranslateText-12345/&quot; }, &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;SubmittedTime&quot; =&gt; 1592239611.151, &quot;TargetLanguageCodes&quot; =&gt; [&quot;es&quot;] } } }For more information visit the AWS Translate API Documentation for DescribeTextTranslationJob.","ref":"ExAws.Translate.html#describe_text_translation_job/1","title":"ExAws.Translate.describe_text_translation_job/1","type":"function"},{"doc":"Retrieves a custom terminology.Examplesiex&gt; ExAws.Translate.get_terminology(&quot;terminology&quot;) |&gt; ExAws.request() {:ok, %{ &quot;TerminologyDataLocation&quot; =&gt; %{ &quot;Location&quot; =&gt; &quot;https://aws-translate-terminology-prod-us-east-1.s3.us-east-1.amazonaws.com/123456789123/TEST/LATEST/3953eeac-986d-41b3-a2d5-9d973ace34f1/CSV/terminology.csv?X-Amz-Security-Token=12345&quot;, &quot;RepositoryType&quot; =&gt; &quot;S3&quot; }, &quot;TerminologyProperties&quot; =&gt; %{ &quot;Arn&quot; =&gt; &quot;arn:aws:translate:us-east-1:123456789123:terminology/TEST/LATEST&quot;, &quot;CreatedAt&quot; =&gt; 1591997725.869, &quot;LastUpdatedAt&quot; =&gt; 1591997725.869, &quot;Name&quot; =&gt; &quot;TEST&quot;, &quot;SizeBytes&quot; =&gt; 24, &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;TargetLanguageCodes&quot; =&gt; [&quot;fr&quot;], &quot;TermCount&quot; =&gt; 1 } } }For more information visit the AWS Translate API Documentation for GetTerminology.","ref":"ExAws.Translate.html#get_terminology/2","title":"ExAws.Translate.get_terminology/2","type":"function"},{"doc":"Creates or updates a custom terminology, depending on whether or not one already exists for the given terminology name. Importing a terminology with the same name as an existing one will merge the terminologies based on the chosen merge strategy. Currently, the only supported merge strategy is OVERWRITE, and so the imported terminology will overwrite an existing terminology of the same name.Examplesiex&gt; ExAws.Translate.import_terminology(&quot;terminology&quot;, %{file: &quot;base64encodedbinary&quot;, format: &quot;CSV&quot;}, &quot;OVERWRITE&quot;) |&gt; ExAws.request() {:ok, %{ &quot;TerminologyProperties&quot; =&gt; %{ &quot;Arn&quot; =&gt; &quot;arn:aws:translate:us-east-1:126427819807:terminology/terminology-test/LATEST&quot;, &quot;CreatedAt&quot; =&gt; 1591997291.244, &quot;LastUpdatedAt&quot; =&gt; 1591997291.244, &quot;Name&quot; =&gt; &quot;terminology-test&quot;, &quot;SizeBytes&quot; =&gt; 24, &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;TargetLanguageCodes&quot; =&gt; [&quot;fr&quot;], &quot;TermCount&quot; =&gt; 1 } } }For more information visit the AWS Translate API Documentation for ImportTerminology.","ref":"ExAws.Translate.html#import_terminology/4","title":"ExAws.Translate.import_terminology/4","type":"function"},{"doc":"Provides a list of custom terminologies associated with your account.Examplesiex&gt; ExAws.Translate.list_terminologies() |&gt; ExAws.request() {:ok, %{ &quot;TerminologyPropertiesList&quot; =&gt; [ %{ &quot;Arn&quot; =&gt; &quot;arn:aws:translate:us-east-1:126427819807:terminology/TEST/LATEST&quot;, &quot;CreatedAt&quot; =&gt; 1591997725.869, &quot;LastUpdatedAt&quot; =&gt; 1591997725.869, &quot;Name&quot; =&gt; &quot;terminology-test&quot;, &quot;SizeBytes&quot; =&gt; 24, &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;TargetLanguageCodes&quot; =&gt; [&quot;fr&quot;], &quot;TermCount&quot; =&gt; 1 } ] } }For more information visit the AWS Translate API Documentation for ListTerminologies.","ref":"ExAws.Translate.html#list_terminologies/1","title":"ExAws.Translate.list_terminologies/1","type":"function"},{"doc":"Gets a list of the batch translation jobs that you have submitted.Examplesiex&gt; ExAws.Translate.list_text_translation_jobs() |&gt; ExAws.request() {:ok, %{ &quot;TextTranslationJobPropertiesList&quot; =&gt; [ %{ &quot;DataAccessRoleArn&quot; =&gt; &quot;arn:aws:iam::123456789123:role/service-role/AmazonTranslateServiceRole-translate&quot;, &quot;EndTime&quot; =&gt; 1592240282.932, &quot;InputDataConfig&quot; =&gt; %{ &quot;ContentType&quot; =&gt; &quot;text/plain&quot;, &quot;S3Uri&quot; =&gt; &quot;s3://bucket/input/&quot; }, &quot;JobDetails&quot; =&gt; %{ &quot;DocumentsWithErrorsCount&quot; =&gt; 0, &quot;InputDocumentsCount&quot; =&gt; 1, &quot;TranslatedDocumentsCount&quot; =&gt; 1 }, &quot;JobId&quot; =&gt; &quot;12345&quot;, &quot;JobName&quot; =&gt; &quot;testjob&quot;, &quot;JobStatus&quot; =&gt; &quot;COMPLETED&quot;, &quot;Message&quot; =&gt; &quot;Your job has completed successfully.&quot;, &quot;OutputDataConfig&quot; =&gt; %{ &quot;S3Uri&quot; =&gt; &quot;s3://bucket/output/123456789123-TranslateText-12345/&quot; }, &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;SubmittedTime&quot; =&gt; 1592239611.151, &quot;TargetLanguageCodes&quot; =&gt; [&quot;es&quot;] } ] } }For more information visit the AWS Translate API Documentation for ListTestTranslationJobs.","ref":"ExAws.Translate.html#list_text_translation_jobs/1","title":"ExAws.Translate.list_text_translation_jobs/1","type":"function"},{"doc":"Starts an asynchronous batch translation job. Batch translation jobs can be used to translate large volumes of text across multiple documents at once. For more information, see Asynchronous Batch Processing.Batch translation jobs can be described with the DescribeTextTranslationJob operation, listed with the ListTextTranslationJobs operation, and stopped with the StopTextTranslationJob operation.Examplesiex&gt; ExAws.Translate.start_text_translation_job( &quot;ba3e6b13-b79b-4c1c-97ca-7258d7545ec1&quot;, &quot;arn:aws:iam::123456789123:role/service-role/AmazonTranslateServiceRole-translate&quot;, %{content_type: &quot;text/plain&quot;, s3_uri: &quot;s3://bucket/input&quot;}, %{s3_uri: &quot;s3://bucket/output&quot;}, &quot;en&quot;, [&quot;es&quot;] ) |&gt; ExAws.request() {:ok, %{&quot;JobId&quot; =&gt; &quot;cc4208305119d3fff9a5e8daa702c637&quot;, &quot;JobStatus&quot; =&gt; &quot;SUBMITTED&quot;}}For more information visit the AWS Translate API Documentation for StartTextTranslationJob.","ref":"ExAws.Translate.html#start_text_translation_job/7","title":"ExAws.Translate.start_text_translation_job/7","type":"function"},{"doc":"Stops an asynchronous batch translation job that is in progress.If the job's state is IN_PROGRESS, the job will be marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state. Otherwise, the job is put into the STOPPED state.Asynchronous batch translation jobs are started with the StartTextTranslationJob operation. You can use the DescribeTextTranslationJob or ListTextTranslationJobs operations to get a batch translation job's JobId.Examples iex&gt; ExAws.Translate.stop_text_translation_job(&quot;12345&quot;) |&gt; ExAws.request() {:ok,%{ &quot;JobId&quot; =&gt; &quot;12345&quot;, &quot;JobStatus&quot; =&gt; &quot;STOP_REQUESTED&quot; } }For more information visit the AWS Translate API Documentation for StopTextTranslationJob.","ref":"ExAws.Translate.html#stop_text_translation_job/1","title":"ExAws.Translate.stop_text_translation_job/1","type":"function"},{"doc":"Translates a phrase from the source language to the target language.Examplesiex&gt; ExAws.Translate.translate_text(&quot;Hello, World!&quot;, &quot;en&quot;, &quot;es&quot;) |&gt; ExAws.request() {:ok, %{ &quot;SourceLanguageCode&quot; =&gt; &quot;en&quot;, &quot;TargetLanguageCode&quot; =&gt; &quot;es&quot;, &quot;TranslatedText&quot; =&gt; &quot;¡Hola, Mundo!&quot; } }For more information visit the AWS Translate API Documentation for TranslateText.","ref":"ExAws.Translate.html#translate_text/4","title":"ExAws.Translate.translate_text/4","type":"function"},{"doc":"","ref":"ExAws.Translate.html#t:import_terminology_opts/0","title":"ExAws.Translate.import_terminology_opts/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:input_data_config/0","title":"ExAws.Translate.input_data_config/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:list_terminologies_opts/0","title":"ExAws.Translate.list_terminologies_opts/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:list_text_translation_opts/0","title":"ExAws.Translate.list_text_translation_opts/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:output_data_config/0","title":"ExAws.Translate.output_data_config/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:start_text_translation_job_opts/0","title":"ExAws.Translate.start_text_translation_job_opts/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:terminology_data/0","title":"ExAws.Translate.terminology_data/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:text_translation_job_filter/0","title":"ExAws.Translate.text_translation_job_filter/0","type":"type"},{"doc":"","ref":"ExAws.Translate.html#t:translate_text_opts/0","title":"ExAws.Translate.translate_text_opts/0","type":"type"}]